package de.ivu.elect.business.wahl.control;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.wahl.entity.Wahl;
import de.ivu.elect.business.wahl.entity.WahlOderWahltermin;
import de.ivu.elect.business.wahl.entity.WahlParameter;
import de.ivu.elect.business.wahl.entity.WahlParameterWerte;
import de.ivu.elect.business.wahl.entity.Wahltermin;

public class AutomatischerWahlExportWahlParameterInit extends AbstractWahlParameterInit {
  private static final Logger LOG = LoggerFactory.getLogger(AutomatischerWahlExportWahlParameterInit.class);

  @Override
  protected Collection<WahlParameter> createDefaultParameters(Wahltermin wahltermin, Wahl wahl) {
    List<WahlParameter> result = new ArrayList<>();

    Mandant mandant = WahlOderWahltermin.from(wahltermin, wahl).getMandant();
    if (mandant != null && mandant.getArt().isOhneMandant()) {
      // ELECTKOM-294 nur für Systeme ohne Mandant, da diese die Hoheit über das Zielverzeichnis beim Export haben
      add(result, WahlParameterWerte.WAHLEXPORT_CRONTAB, "");
      add(result, WahlParameterWerte.WAHLEXPORT_PFAD, "");
    }

    return result;
  }
}
